<?
if(isset($_GET['gos']))
{
if(isset($mc))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$gos[id_plant]' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
mysql_query("UPDATE `kolhoz_user` SET `last_fish` = '$gos[id_plant]' WHERE `id` = '$ku[id]'");
header("Location:?ozero");
exit;
}
else err_game("Для начала вступите в колхоз.");
}
include_once 'inc/fish/change_fish.php';
include_once 'inc/fish/change_soil.php';
include_once 'inc/fish/spond_all.php';
include_once 'inc/fish/spond.php';
include_once 'inc/fish/harvest_all.php';
include_once 'inc/fish/harvest.php';
include_once 'inc/fish/seat_all.php';
include_once 'inc/fish/seat.php';
include_once 'inc/fish/soil_all.php';
include_once 'inc/fish/soil.php';
include_once 'inc/fish/water_all.php';
include_once 'inc/fish/water.php';
include_once 'inc/fish/clean_grounds.php';
include_once 'inc/fish/new_pond.php';

echo "<div class='input_button'><center>Пруды</center></div>";
if(isset($_SESSION['cp']))
{
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Бесплатная очистка пруда будет доступна через ".time_left($ku['time_cp']-$time)."</span></li></ul></div>";
unset($_SESSION['cp']);
}
echo "<div class='content'>";
echo "<div class='block'>";
echo "<div><img width='16' height='16' src='images/icons/refresh.png' alt='o'> <a href='?ozero&reflesh=".rand(99999,99999999)."'>Обновить</a></div>";

////Разобьем на логические части


////Эффекты
if($ku['hydropinics_time']>$time)echo "<li><img width='16' height='16' src='images/icons/hydropinics.png' alt='o'> <a class='epic' href='?shop=hydropinics'>Гидропоника</a><span class='minor'> $ku[hydropinics_type]% на <span>".time_left($ku['hydropinics_time']-$time)."</span></span></li>";
if($ku['scarecrow_time']>$time)echo "<li><img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> <a class='epic' href='?shop=scarecrow'>Пугало</a><span class='minor'> на <span>".time_left($ku['scarecrow_time']-$time)."</span></span></li>";
if($ku['time_shmel']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli1n.png'> <a class='epic' href='?shop=helicopter&1'>Шмель</a><span class='minor'> на <span>".time_left($ku['time_shmel']-$time)."</span></span></li>";
if($ku['time_yastreb']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli2n.png'> <a class='epic' href='?shop=helicopter&2'>Ястреб</a><span class='minor'> на <span>".time_left($ku['time_yastreb']-$time)."</span></span></li>";
if($ku['time_drakon']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli3n.png'> <a class='epic' href='?shop=helicopter&3'>Дракон</a><span class='minor'> на <span>".time_left($ku['time_drakon']-$time)."</span></span></li>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant` != '0'"),0)!=0 && $ku['harvester3']>0)echo "<div><img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='?ozero&harvest_all'>Выловить всех</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `id_plant` != '0' AND (`time_water` = '$time' OR `time_water` < '$time') AND `time` > '$time' AND (`soil` = '0' AND `time_soil` > '$time' OR `soil` = '1')"),0)!=0 && $ku['irregate3']>0)echo "<div><img width='16' height='16' src='images/icons/water.png' alt='o'> <a href='?ozero&water_all'>Убрать тину</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'"),0)!=0 && $ku['seeder3']>0)echo "<div><img width='16' height='16' src='images/icons/seat.png' alt='o'> <a href='?ozero&seat_all'>Запустить всех</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0)!=0 && $ku['cultivator3']>0)echo "<div><img width='16' height='16' src='images/icons/dig.png' alt='o'> <a href='?ozero&spond_all'>Выловить тину</a></div>";

////Конец эффектов

////Массовые мероприятия )))




echo "<ul>";

////ПРУДЫ


$q=mysql_query("SELECT * FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]'");
while($post=mysql_fetch_array($q))
{
echo "<li>";
if($post['id_plant']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"),0)!=0)
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_fish` WHERE `id` = '$post[id_plant]'"));

echo "<li><img width='48' height='48' src='".(!isset($plant)?"".($post['cultivator']==1?"images/fish/ozero_chist.png":"images/fish/ozero_durty.png")."":"images/fish/$plant[id].png")."' alt='o' class='portrait'>";
echo "<div>";
echo "".(!isset($plant)?"<span class='title'>".($post['cultivator']==1?"Чистый пруд":"Грязный пруд")."</span>":"<span  class='title'>".hsc($plant['name'])."</span>".($post['time']>$time?"<span class='small minor'> (Вылов через <span> ".time_left($post['time']-$time)."</span>)</span>":null)."")."";
echo "</div>";
echo "<div>";
if(isset($plant))
{
if($post['time']<=$time)
{
echo "<img width='16' height='16' src='images/fish/ss-hrvst.png' alt='o'> <a href='?ozero&catchfish=$post[id]'>Выловить рыбу</a>";
}
else
{


echo "<div class='small minor'>".($post['time_water']>$time && $post['time']>$time?"Очистка через ".time_left($post['time_water']-$time)."":"".($post['time']>$time?"".($post['soil']==0 && $post['time_soil']>$time || $post['soil']==1?"<img alt='' width='16' height='16' src='images/fish/ss-dg.png'> <a href='?ozero&water=$post[id]'>Убрать тину</a>":null)."":null)."")."</div>";
}
}
else
{
echo "<span>";
echo "".($post['cultivator']==1?"<img width='16' height='16' src='images/fish/ss-hrvst.png' alt='o'> ".(isset($lp)?"<a href='?ozero&seat=$post[id]&select=$lp[id]'>Запустить <span>".hsc($lp['name'])."</span></a>, <a href='?ozero&seat=$post[id]'><span>выбрать малька</span></a>":"<a href='?ozero&seat=$post[id]'>Запустить малька</a>")."":"<img width='16' height='16' src='images/fish/ss-dg.png' alt='o'> <a href='?ozero&spond=$post[id]'><span style='title'>Убрать тину</span></a>")."";
echo "</span>";
}
if(isset($plant))unset($plant);
echo "</div><div style='clear:both'></div></li>";
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]'"),0)<20)echo "<li><img width='48' height='48' src='images/fish/ozero_chist.png' alt='o' class='portrait'><div><span class='title'>Новый пруд</span></div><div><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='?ozero&new_pond'>Купить</a> за <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span>".cpg(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id_user` = '$ku[id]'"),0))."</span> рубинов</span></div><div style='clear:both'></div></li>";

if($ku['last_plant']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$ku[last_plant]'"),0)!=0)


////Смена рыбы, прикормки


echo "<li><img width='16' height='16' src='images/fish/sc-clr-ll.png' alt='o'> <a href='?ozero&clean_ponds'>Очистить пруды</a></li></ul></div>";

include_once 'inc/foot.php';
?>